<?php

function verifierTrajet($db, $mail, $codetrajet){
    $trajet = getTrajet($db, $codetrajet);
    if (!$trajet){
        return false;
    }
    return checkDatesReserve($db, $mail, $trajet['datedepart']) && checkPlacesVoiture($db, $codetrajet) && strcmp($trajet['mailproposition'], $mail) != 0;
}

require_once("../connexionBD.php");
require_once("../ressources/trajet.php");

if (!isset($_SESSION['mail'])) {
    header('Location: ../index.php');
    exit();
}
$mail = $_SESSION['mail'];

if (isset($_GET['codetrajet'])){
    $codetrajet = $_GET['codetrajet'];
    if (verifierTrajet($db, $mail, $codetrajet)){
        reserver($db, $mail, $codetrajet);
    }
}



?>